Bug 1573790 - [RFE] A command to run metadata cleaning on ironic nodes
Summary: [RFE] A command to run metadata cleaning on ironic nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: Dmitry Tantsur
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 09:41 UTC by Dmitry Tantsur
Modified: 2019-01-11 11:49 UTC (History)
6 users (show)

Fixed In Version: python-tripleoclient-10.2.1-0.20180709114814.e5ce9a8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:49:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 564545 0 None MERGED Workflows for wiping overcloud nodes 2020-04-09 16:06:41 UTC
OpenStack gerrit 564747 0 None MERGED Add 'overcloud node clean' command to run metadata cleaning on nodes 2020-04-09 16:06:41 UTC
Red Hat Product Errata RHEA-2019:0045 0 None None None 2019-01-11 11:49:58 UTC

Description Dmitry Tantsur 2018-05-02 09:41:39 UTC
Since we cannot agree on re-enabling automated cleaning in the undercloud (see bug 1437142), we should at least provide a simple way to clean nodes via CLI/GUI. This RFE suggests creating a workflow and a tripleoclient command to invoke it.

Comment 1 Dmitry Tantsur 2018-05-02 09:46:10 UTC
Ramon, Dan,

Could you please consider putting this RFE on your radar instead of https://bugzilla.redhat.com/show_bug.cgi?id=1437142?

Comment 8 Alexander Chuzhoy 2018-10-03 17:36:23 UTC
Verified:
Environment:
python-tripleoclient-10.5.1-0.20180906012842.el7ost.noarch


It's possible to clean metadata with:
openstack overcloud node clean <node uuid>  #for single node

openstack overcloud node clean --all-manageable # for all manageable nodes

Comment 10 errata-xmlrpc 2019-01-11 11:49:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.